Skip to main content
`Ctrl`+`K`

# PetscDTSimplexQuadratureType

A description of classes of quadrature rules for simplices

## Synopsis

    typedef enum {
      PETSCDTSIMPLEXQUAD_DEFAULT = -1,
      PETSCDTSIMPLEXQUAD_CONIC   = 0,
      PETSCDTSIMPLEXQUAD_MINSYM
    } PetscDTSimplexQuadratureType;

## Values

- `PETSCDTSIMPLEXQUAD_DEFAULT` - Quadrature rule chosen by PETSc

- `PETSCDTSIMPLEXQUAD_CONIC` - Quadrature rules constructed as conically-warped tensor products of 1D Gauss-Jacobi quadrature rules. These are explicitly computable in any dimension for any degree, and the tensor-product structure can be exploited by sum-factorization methods, but they are not efficient in terms of nodes per polynomial degree.

- `PETSCDTSIMPLEXQUAD_MINSYM` - Quadrature rules that are fully symmetric (symmetries of the simplex preserve the nodes and weights) with minimal (or near minimal) number of nodes. In dimensions higher than 1 these are not simple to compute, so lookup tables are used.

## See Also

`PetscQuadrature`, `PetscDTSimplexQuadrature()`

## Level

intermediate

## Location

include/petscdt.h

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages